LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDefaultSizeTransmitter Interface Reference

Allows to set a default size. More...

`import "XDefaultSizeTransmitter.idl";`

Inheritance diagram for XDefaultSizeTransmitter:

## Public Member Functions
void | setDefaultSize ([in] ::com::sun::star::awt::Size aSize100ThMm)
| set a default size
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

Allows to set a default size.

This size will be used in case no further information si available.

## Member Function Documentation

## ◆ setDefaultSize()

void setDefaultSize | ( | [in] ::com::sun::star::awt::Size | aSize100ThMm | ) |

set a default size

Parameters

  aSize100ThMm | specifies a size in hundredth mm.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/XDefaultSizeTransmitter.idl